# eric7.EricWidgets.EricComboSelectionDialog

Module implementing a dialog to select one entry from a list of strings.

### Global Attributes

None

### Classes

EricComboSelectionDialog | Class implementing a dialog to select one entry from a list of strings.

### Functions

None

## EricComboSelectionDialog

Class implementing a dialog to select one entry from a list of strings.

### Derived from

QDialog, Ui_E5ComboSelectionDialog

### Class Attributes

None

### Class Methods

None

### Methods

EricComboSelectionDialog | Constructor
getSelection | Public method to retrieve the selected item and its data.
on_selectionComboBox_currentTextChanged | Private slot to react upon changes of the selected entry.

### Static Methods

None

#### EricComboSelectionDialog (Constructor)

EricComboSelectionDialog(entries, title="", message="", parent=None)

Constructor

entries (list of str or list of tuples of (str, any))
  list of entries to select from
title (str (optional))
  title of the dialog (defaults to "")
message (str (optional))
  message to be show in the dialog (defaults to "")
parent (QWidget (optional))
  reference to the parent widget (defaults to None)

#### EricComboSelectionDialog.getSelection

getSelection()

Public method to retrieve the selected item and its data.

Return:
  tuple containing the selected entry and its associated data

Return Type:
  tuple of (str, any)

#### EricComboSelectionDialog.on_selectionComboBox_currentTextChanged

on_selectionComboBox_currentTextChanged(txt)

Private slot to react upon changes of the selected entry.

txt (str)
  text of the selected entry

Up